Create New Options

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/iformbuilder-v80/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "iFormBuilder V80 MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/iformbuilder-v80/mcp"
  }
}

Close
POST /profiles/{profile_id}/optionlists/{optionlist_id}/options

Path parameters

  • profile_id string Required

    id of the profile

  • optionlist_id number Required

    id of the option list

application/json

Body

  • condition_value string
  • key_value string Required
  • label string Required
  • score number
  • sort_order number

Responses

  • 201 application/json

    Created

    Hide response attribute Show response attribute object
    • id number Required

      the created option id

POST /profiles/{profile_id}/optionlists/{optionlist_id}/options
curl \
 --request POST 'https://api.iformbuilder.com/exzact/api/v80/%5Bservername%5D/profiles/self/optionlists/{optionlist_id}/options' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"condition_value":"false","key_value":"na","label":"N/A","score":42.0,"sort_order":42.0}'
Request examples
{
  "condition_value": "false",
  "key_value": "na",
  "label": "N/A",
  "score": 42.0,
  "sort_order": 42.0
}
Response examples (201)
[
  {
    "id": 268623883
  },
  {
    "id": 268623886
  }
]